package com.nivesh.production.niveshfd.partnerOnBoarding.ui.fragments1

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.LinearLayoutManager
import com.nivesh.production.niveshfd.databinding.NewDistributorSignStepOneBinding
import com.nivesh.production.niveshfd.partnerOnBoarding.adapters1.NewDistributorSignStepOneAdapter
import com.nivesh.production.niveshfd.partnerOnBoarding.ui.activities1.SignUpActivity

class NewDistributorSignStepOne : BaseFragment(){

    private var _binding: NewDistributorSignStepOneBinding? = null
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        _binding = NewDistributorSignStepOneBinding.inflate(inflater,container,false)
        return binding.root
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        init()
    }

    private fun init() {
        val listMapData: Map<String,Boolean>
        val listData = mutableListOf("Mutual Fund","Insurance","Bond","Capital Gain Bond (CGB)",
            "Non-Convertible Debentures(NCDs)","Fixed Deposit (FD)","National Pension System (NPS)",
            "Secondary Bond","Other")

        binding.rvList.layoutManager = LinearLayoutManager(activity as SignUpActivity)
        val adapter = NewDistributorSignStepOneAdapter(listData)
        binding.rvList.adapter = adapter
    }
}